Bug 228213 - HelixPlayer: $RPM_OPT_FLAGS not used
HelixPlayer: $RPM_OPT_FLAGS not used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: HelixPlayer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-11 14:16 EST by Ville Skyttä
Modified: 2009-02-24 09:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 09:25:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (658 bytes, patch)
2007-02-11 14:16 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-02-11 14:16:36 EST
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

HelixPlayer is built without $RPM_OPT_FLAGS, thus without compiler security
features and probably useless debuginfo.  One approach to correct the flags is
attached, however this patch makes the build fail for me on i386.
Comment 1 Ville Skyttä 2007-02-11 14:16:36 EST
Created attachment 147860 [details]
Use $RPM_OPT_FLAGS
Comment 2 Bug Zapper 2008-04-03 15:05:37 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Ville Skyttä 2008-04-03 16:23:02 EDT
Still clearly an issue with current Rawhide, from latest koji build logs:

http://koji.fedoraproject.org/packages/HelixPlayer/1.0.9/2.fc9/data/logs/i386/build.log

g++ --permissive -pipe -W -Wreturn-type -fno-rtti -fno-exceptions -mcpu=pentium
-march=pentium  -O2  -I../../common/runtime/pub [...no security related
RPM_OPT_FLAGS or anything...]
Comment 4 Bug Zapper 2008-05-13 22:36:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 lexual 2009-02-24 09:25:46 EST
https://bugzilla.fedora.us/wiki/PackageMaintainers/RetiredPackages

Looks like helixplayer has been removed from future Fedora versions.

Note You need to log in before you can comment on or make changes to this bug.